Subject: bug#53778: 29.0.50; Can't start Emacs because of RenderBadPicture X protocol error

From: Stephen Berman <[email-masked]>
Date: Fri, 04 Feb 2022 16:34:54 +0100

On Fri, 4 Feb 2022 11:38:46 -0300 Mauro Aranda <[email-masked]> wrote:

> I'm sorry, it seems the first message was sent without content.
>
> After commit b944841173... I can't start GUI Emacs.
>
> I did:
> ./configure && make
>
> And when I start Emacs with "emacs -Q" I get:
> X protocol error: RenderBadPicture (invalid Picture parameter) on protocol request 138
[...]
> I'm not able to run GDB, but I bisected it to the following commit:
> b944841173..: Håkon Flatval 2022-01-29 Add background transparency support for GTK+Cairo
> commit b944841173f12134e4c68d269d5b82b1820b2a40
> Author: Håkon Flatval <[email-masked]>
> Date:   Sat Jan 29 16:13:06 2022 +0100
>
>   Add background transparency support for GTK+Cairo
>
> In particular, if I revert the hunk in select_visual, the problem seems
> to go away.

I also got a crash after this commit, but Po Lu committed several
subsequent patches that fixed the problem for me.  Can you update and
see if it still crashes?

> In GNU Emacs 29.0.50 (build 24, i686-pc-linux-gnu, GTK+ Version 2.24.33, cairo version 1.16.0)
>  of 2022-02-04 built on tbb.theblackbeard.org
> Repository revision: 35cd9197fc3bda7576b3c343d1183360067dccd2
> Repository branch: HEAD
> Windowing system distributor 'The X.Org Foundation', version 11.0.12010000
> System Description: Slackware 14.2 i586 (post 14.2 -current)

Steve Berman